<?php
$helper = $this->helper('MGS\Blog\Helper\Data');
//$collection = $block->getPostCollection();
$collection = $block->getPostCollection()->addTagFilter('matrix');
?>



<?php if (count($collection)): ?>
    <?php
    $themeHelper = $this->helper('MGS\Mpanel\Helper\Data');
      $lazyLoad = $themeHelper->getStoreConfig('mgstheme/general/lazy_load');
      $lazyLoad = false;
      $baseImage = $this->getViewFileUrl('MGS_Mpanel::images/blank.png');
      $blockId = rand() . time();
      $showShortContent = $this->getConfig('show_short_content');
      $viewAs = $this->getConfig('view_as');
      $showThumbnail = $this->getConfig('show_thumbnail');
      $perRow = $this->getConfig('items', 5);
      $col = $themeHelper->convertPerRowtoCol($perRow);
    ?>
<div class="row">
  <?php $i=0; $j=0; foreach ($collection as $post): $i++ ;

            ?>
  <div class="col-lg-6 col-md-6 col-sm-6 btm_spacer50">
    <div class="al_blog_box">
    <div class="col-lg-4 col-md-4 col-sm-4 col-lg-push-8 col-md-push-8 col-sm-push-8">
      <img class="latest-view-img img-responsive" src="<?php echo $post->getThumbnailUrl(); ?>" alt="<?php echo $post->getTitle(); ?>">
    </div>
       <div class="col-lg-8 col-md-8 col-sm-8 col-lg-pull-4 col-md-pull-4 col-sm-pull-4">
      <h3><a href="<?php echo $helper->getPostUrl($post); ?>"><?php echo $post->getTitle(); ?></a></h3>
      <?php echo $post->getShortContent(); ?>
      <a href="<?php echo $helper->getPostUrl($post); ?>" >Read More...</a>
      </div>  
    </div>
  </div>
  <?php if($i%2==0){?>
    <div class="clearfix"></div>
  <?php }?>
  <?php endforeach ?>
  <a class="latest-view-btn btn btn-primary al_center_btn" href="<?php echo $block->getUrl('blog'); ?>">Read More Articles</a>
</div>
<?php else: ?>
<div role="alert" class="row alert alert-warning"> <?php echo __('There are no posts matching the selection.') ?> </div>
<?php endif; ?>
